/******************************************************************************
 *
 * File: FileprogLib.c
 *
 * Description:
 *      Fileprog library implementation.  The library serves
 *		as an example of creating Palm OS shared libraries
 *      that can be used by FileProg pulg-in interface
 *
 * Note:
 *      This file is based on the SampleLib example from Palm
 *****************************************************************************/

#include <PalmOS.h>			// Includes all Palm OS headers

// Our library public definitions (library API)
#include "FileLib.h"


// LIBRARY VERSION
//
// The library version scheme follows the system versioning scheme.
// See sysMakeROMVersion and friends in SystemMgr.h.
//
// For reference:
//
// 0xMMmfsbbb, where MM is major version, m is minor version
// f is bug fix, s is stage: 3-release,2-beta,1-alpha,0-development,
// bbb is build number for non-releases 
// V1.12b3   would be: 0x01122003
// V2.00a2   would be: 0x02001002
// V1.01     would be: 0x01013000

#define prvFileprogLibVersion	sysMakeROMVersion(1, 0, 0, sysROMStageDevelopment, 1)




/********************************************************************
 * Fileprog Library API Routines
 ********************************************************************/
 
 
/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibOpen(UInt16 refNum, UInt32 *clientContextP)
{
	return( 0 );
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibClose(UInt16 refNum, UInt32 clientContext)
{
	return 0;
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibSleep(UInt16 refNum)
{
	return( 0 );
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibWake(UInt16 refNum)
{
	return( 0 );
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibGetLibAPIVersion(UInt16 refNum, UInt32 * dwVerP)
{
	*dwVerP = prvFileprogLibVersion;
	
	return( 0 );
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibGetLibDescription(UInt16 refNum, char* libDecsription)
{
    StrCopy( libDecsription, "Refresh Lists" );

	return( 0 );
}





/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibRunDbRam(UInt16 refNum, UInt32 clientContext, UInt16 cardNo, LocalID dbID)
{
#if 0
    Err err;
    char fileName[256];
    
    err = DmDatabaseInfo( cardNo, dbID, fileName,
                          0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

	FrmCustomAlert(R_FileProgLibAlert, "File name is", fileName, 0);
#endif
	return( 0 );
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibRunDbCard(UInt16 refNum, UInt32 clientContext, UInt16 cardRef, char const *dirPath, char const *fileName)
{
#if 0
	FrmCustomAlert(R_FileProgLibAlert, "File is", dirPath, fileName);
#endif
	return( 0 );
}



/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibProlog(UInt16 refNum, UInt32 clientContext)
{
	return( 0 );
}


/***********************************************************************
 * FUNCTION:
 *
 * DESCRIPTION:
 *
 * PARAMETERS:   
 *
 * RETURNS:     
 ***********************************************************************/
Err FileprogLibEpilog(UInt16 refNum, UInt32 clientContext, Boolean *refreshRam, Boolean *refreshCard)
{
    *refreshRam  = true;
    *refreshCard = true;
    
	return( 0 );
}


